Package com.tietoenator.trip.jxp.session

# Class TdbJobResult

java.lang.Object
com.tietoenator.trip.jxp.session.TdbJobResult

public class TdbJobResult extends Object
Completion status for a LOAD or INDEX batch job.

The job must have been submitted via the submitBatchJob method of the TdbDatabaseDesign class, and the TRIPsystem version must be 8.4-6 or later.

See Also:
  - `TdbJobResultSink`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilename()`
  Server-side log file name assoicated with the completion result.
  `int`
  `getJobId()`
  The ID of the completed batch job.
  `String`
  `getMessage()`
  The completion message of the job as either a success or error message.
  `int`
  `getStatus()`
  The TRIP status / error code for the completed batch job.
  `boolean`
  `hasStatus()`
  True if this result includes job ID, success and status information.
  `boolean`
  `isSuccess()`
  Indicates if the batch job succeeded or failed.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getMessage

    public String getMessage()
    The completion message of the job as either a success or error message.

  - ### getFilename

    public String getFilename()
    Server-side log file name assoicated with the completion result. Is null if no log file name is available.

  - ### hasStatus

    public boolean hasStatus()
    True if this result includes job ID, success and status information. If false, the values returned by the methods getJobId(), getStatus() and isSuccess() not relevant. This method will only return True for INDEX and LOAD jobs that were programmatically submitted (i.e. NOT as CCL commands). Other job types or methods of submission will always have this property be false.

  - ### getJobId

    public int getJobId()
    The ID of the completed batch job. This property only has a valid value if the hasStatus() method returns true.

  - ### getStatus

    public int getStatus()
    The TRIP status / error code for the completed batch job. This property only has a valid value if the hasStatus() method returns true.

  - ### isSuccess

    public boolean isSuccess()
    Indicates if the batch job succeeded or failed. This property only has a valid value if the hasStatus() method returns true.